package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEngineeringMaterial;
import com.ruoyi.zdsz.domain.bo.ZEngineeringInfoBo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringMaterialVo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringMaterialBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 工程用料Service接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface IZEngineeringMaterialService {

    /**
     * 查询工程用料
     */
    ZEngineeringMaterialVo queryById(String id);
    /**
     * 查询工程用料
     */
    List<ZEngineeringMaterialBo> query(ZEngineeringInfoBo bo);

    /**
     * 查询工程用料列表
     */
    TableDataInfo<ZEngineeringMaterialVo> queryPageList(ZEngineeringMaterialBo bo, PageQuery pageQuery);

    /**
     * 查询工程用料列表
     */
    List<ZEngineeringMaterialVo> queryList(ZEngineeringMaterialBo bo);

    /**
     * 新增工程用料
     */
    Boolean insertByBo(ZEngineeringMaterialBo bo);

    /**
     * 新增工程用料(节点用)
     * @param bo
     * @return
     */
    ZEngineeringMaterial insert(ZEngineeringMaterialBo bo);

    /**
     * 修改工程用料
     */
    Boolean updateByBo(ZEngineeringMaterialBo bo);
    /**
     * 修改工程用料(节点用)
     */

    Boolean update(ZEngineeringMaterialBo bo);
    Boolean updateList(ZEngineeringInfoBo bo);
    Boolean delete(ZEngineeringInfoBo bo);

    /**
     * 校验并批量删除工程用料信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
